Elog - Bug #15268

Accessing elog via www-ad.fnal.gov can't log in
01/20/2017 04:02 PM - Kyle Hazelwood
Priority: Immediate Due date:

Assignee: Kyle Hazelwood % Done: 0%
Category: Server Estimated time: 0.00 hour
Target version: Version 2.0 Spent time: 0.00 hour
Description

Trying to log in when accessing the elog via https:/www-ad.fnal.gov/Elog doesn't work. The AD home page links to the elog with
www-ad... Accessing the elog from https:/www-bd.fnal.gov does work

Related issues:

Related to Elog - Bug #14579: |IE not preserving session cookie is https not f... Closed 11/21/2016
Related to Elog - Bug #16135: Laptop Login Closed 04/08/2017
Related to Elog - Bug #10356: Error occured while trying to log into the Elog... Closed 09/30/2015
Related to Elog - Bug #16332: Unable to login over Cisco VPN Closed 04/25/2017
History

#1 - 04/06/2017 10:04 PM - Kyle Hazelwood

- Status changed from New to Resolved

Using the JSP servlet context was not working with the chablis https redirect. When a user attempted to access the elog via http:/www-bd... the
chablis server would redirect to https://www-ad. However, the elog never sees the new url context and attempts to redirect the user to http:/www-bd
after login. The authentication code was rewritten and each jsp page base href was updated to /Elog instead of the iffy servlet context. Hopefully it is
now fixed.

#2 - 04/06/2017 10:16 PM - Kyle Hazelwood
- Related to Bug #14579: IE not preserving session cookie is https not first specified in the url added

#3 - 05/24/2017 12:42 PM - Kyle Hazelwood

- Status changed from Resolved to Remission

This appears to be still broken on IE and 10S browsers, the relative base href url does not work.

#4 - 12/19/2017 12:09 PM - Kyle Hazelwood

- Status changed from Remission to Resolved

This turned out to be a browser specific problem of interepting the JSESSIONID cookie with trailing backslash. Tomcat was conifugred to add a
backslash to the domain name in cookies it creates. Chrome, |E, and possibly IOS browsers sometimes did not recognize this as the same domain as
cookies they already had thus not keeping the user logged in. The fix was to configure tomcat in the projects Context XML (Elog.xml) to not add the
backslash. | also rewrote the authentication scheme to use a servlet instead of a filter to make it less complicated.

#5 - 12/19/2017 12:10 PM - Kyle Hazelwood
- Related to Bug #16135: Laptop Login added

#6 - 03/29/2018 10:20 AM - Kyle Hazelwood
- Status changed from Resolved to Closed

- Priority changed from High to Immediate

#7 - 03/29/2018 10:21 AM - Kyle Hazelwood
- Related to Bug #10356: Error occured while trying to log into the Elog for AD Operations added

#8 - 03/29/2018 10:22 AM - Kyle Hazelwood
- Related to Bug #16332: Unable to login over Cisco VPN added
